<!doctype html>
<html lang="en">
   <head>
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width, initial-scale=1">
      <title>TTT2 Role Overview</title>
      <meta name="description" content="All TTT2 Roles halfheartedly documented">
      <meta name="author" content="James">
      <meta property="og:title" content="TTT2 Role Overview">
      <meta property="og:type" content="website">
      <meta property="og:url" content="https://ttt.james-things.com">
      <meta property="og:description" content="All TTT2 Roles documented halfheartedly">
      <meta property="og:image" content="https://e7.pngegg.com/pngimages/710/403/png-clipart-the-embodiment-of-scarlet-devil-team-shanghai-alice-video-game-banjo-tooie-mario-luigi-partners-in-time-marisa-logo-computer-wallpaper.png">
      <link rel="icon" href="/favicon.ico">
      <link rel="icon" href="/favicon.svg" type="image/svg+xml">
      <link rel="apple-touch-icon" href="/apple-touch-icon.png">
      <!--My Custom Styleshit-->
      <link rel="stylesheet" href="css/styles.css">
      <!--Import Google Icon Font-->
      <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
      <!--Import materialize.css-->
      <link type="text/css" rel="stylesheet" href="css/materialize.min.css"  media="screen,projection"/>
   </head>
   <body>

     <div class=row>
      <?php
      foreach (glob("roles/*.php") as $filename) {
        include $filename;
        echo '
          <div class="col s12 m6">
            <div class="card '.$color.'">
              <div class="card-content '.$tcolor.'-text">
                <span class="card-title">'.$name.'</span>
                <p>'.$description.'</p>
              </div>
              <div class="card-tabs">
                <ul class="tabs tabs-fixed-width">
                  <li class="tab"><a class="active" href="#'.$name.'h2p">How to play</a></li>
                  <li class="tab"><a href="#'.$name.'pbw">Plays best with</a></li>
                  <li class="tab"><a href="#'.$name.'convars">Convars</a></li>
                </ul>
              </div>
              <div class="card-content grey lighten-4">
              <div id='.$name.'h2p">'.$howtoplay.'</div>
              <div id="'.$name.'pbw">'.$playsbestwith.'</div>
              <div id='.$name.'convars">'.$convars.'</div>
            </div>
          </div>
              <div class="card-action">
                <a href="'.$steam.'">Steam Link</a>
                <a href="'.$source.'">Source</a>
              </div>
            </div>
          </div>
        ';
      }
      ?>

    </div>
   </body>
</html>
